/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://example.com/
Description: Child theme for Twenty Twenty-Five
Author: Your Name
Author URI: https://example.com/
Template: twentytwentyfive
Version: 1.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: twentytwentyfive-child
*/


:root :where(.wp-element-button:hover, .wp-block-button__link:hover) {
	background: #000 !important;
	color: #fff !important;
}



a {
	text-decoration-thickness: 1px !important;
	text-underline-offset: .1em;
}
strong {
	font-weight: 800;
}
/* Focus styles */
:where(.wp-site-blocks *:focus) {
	outline-width: 1px;
	outline-style: dotted;
}

.alignwide {
  max-width: 1360px; /* match your wideSize */
  margin-left: auto;
  margin-right: auto;
}

/* Utility Styles */
.is-style-all-caps {
	text-transform: uppercase;
}
.multiply {
	mix-blend-mode: multiply;
}




/* Offset Header Styles */
.offset-header-logo .custom-logo {
	margin: -46px 0 -42px;
	width: 220px;
}
.scrolling .offset-header-logo .custom-logo {
	margin: -46px 0 -42px;
	width: 220px;
}
.wp-block-group.alignwide.is-content-justification-space-between.is-nowrap.is-layout-flex.wp-container-core-group-is-layout-7eca1117.wp-block-group-is-layout-flex {
	transition: ease-in-out .2s;
}
.scrolling .wp-block-group.alignwide.is-content-justification-space-between.is-nowrap.is-layout-flex.wp-container-core-group-is-layout-7eca1117.wp-block-group-is-layout-flex {
	padding-top: 10px !important;
	margin-top: 10px !important;
}
.custom-logo {
	transition: ease-in-out .2s;
}
.scrolling .custom-logo {
	width: 135px !important;
}

.header-shadow {
	box-shadow: 0 0 30px rgba(0,0,0,0.3), 0 0 3px rgba(0,0,0,0.3);
}

/* Override Margin Block Start */
.wp-block-group,
.wp-block-post-featured-image,
.wp-block-greenshift-blocks-container,
.wp-block-uagb-container,
.gsb-container  {
	margin-block-start: 0;	
}

.hero {
	margin-top: 0;
}


/* Add to Cart Buttons */
.single_add_to_cart_button.button.alt.wp-element-button,
.woocommerce ul.products li.product .button {
	background-color: #b3cc63;
	color: #000;
}
.single_add_to_cart_button.button.alt.wp-element-button:hover,
.woocommerce ul.products li.product .button:hover {
	background-color: #000;
	color: #fff;
}

/* Increase the bottom margin on submenus, so that the outline is visible. */
.wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item:not(:last-child) {
	margin-bottom: 3px;
}

/* Increase the outline offset on the parent menu items, so that the outline does not touch the text. */
.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
	outline-offset: 4px;
}

/* Remove outline offset from the submenus, otherwise the outline is visible outside the submenu container. */
.wp-block-navigation .wp-block-navigation-item ul.wp-block-navigation__submenu-container .wp-block-navigation-item__content {
	outline-offset: 0;
}

/* Custom Nav Buttons */
#mega-menu-item-297.membership-nav-button a,
#mega-menu-item-294.donate-nav-button a {
	background: #455a21 !important;
	padding: 10px 20px;
	text-decoration: none;
	border-radius: 3px;
	color: #fff !important;
}
#mega-menu-item-294.donate-nav-button a {
	background: #BB6125 !important;
}
#mega-menu-item-297.membership-nav-button a:hover,
#mega-menu-item-294.donate-nav-button a:hover { 
	background: #222 !important;
}

.wp-block-group.alignwide.is-content-justification-space-between.is-layout-flex.wp-container-core-group-is-layout-92b5020c.wp-block-group-is-layout-flex {
	margin-top: 36px !important;
	transition: ease-in-out .2s;
}


.scrolling .wp-block-group.alignwide.is-content-justification-space-between.is-layout-flex.wp-container-core-group-is-layout-92b5020c.wp-block-group-is-layout-flex {
	margin-top: 10px !important;
}
 .offset-header-logo .custom-logo {
	transition: ease-in-out .2s;
}
.scrolling .offset-header-logo .custom-logo {
	margin: -40px 0 -42px;
	width: 135px;
}


/*
 * Progressive enhancement to reduce widows and orphans
 * https://github.com/WordPress/gutenberg/issues/55190
 */
h1, h2, h3, h4, h5, h6, blockquote, caption, figcaption, p {
	text-wrap: pretty;
}

/*
 * Change the position of the more block on the front, by making it a block level element.
 * https://github.com/WordPress/gutenberg/issues/65934
*/
.more-link {
	display: block;
}


/* Plugins */
/* Gravity Forms */
body .gform_wrapper .gform_body {
    font-size: 18px;
}

/* Spectra Carousel Image */
.uagb-post-grid .uagb-post__image img {
	display: block;
	width: 90%;
	height: auto;
	max-width: 100%;
	margin: 0 auto;
	padding-top: 20px;
}

/* Spectra Carousel Arrows */
body .uagb-block-8ae07b0a .slick-arrow svg {
	fill: #fff;
	width: 30px;
	height: 30px;
	background: #00000061 !important;
}

body .uagb-slick-carousel .slick-next,
body .uagb-slick-carousel .slick-prev {
	font-size: 0;
	line-height: 0;
	position: absolute;
	top: 100%;
	display: block;
	width: auto;
	padding: 0;
	cursor: pointer;
	color: #aaa;
	border-color: #aaa;
	outline: 0;
	background: 0 0;
}

body .wp-site-blocks .uagb-post__arrow-outside.uagb-post-grid .slick-next {
	right: 40px;
}


body .wp-site-blocks .uagb-post__arrow-outside.uagb-post-grid .slick-prev {
	left: calc(100% - 125px);
}
body .uagb-block-8ae07b0a .slick-arrow svg {
	fill: #000;
	width: 30px;
	height: 30px;
}

.wp-block-genesis-blocks-gb-container.gb-block-container {
	margin-block-start: 0;
}
